title = "Order Success"
url = "/order-success"
is_hidden = 0

[Cart]

[localePicker]
forceUrl = 1

[cookieNotice]
loadCss = 1

[Logout]
mode = "ajax"
redirect_on = 1
redirect_page = "mio-account"

[SimpleCatalogHelper SimpleCatalogHelperSearch]
slug = "{{ :slug }}"
slug_required = 1
skip_error = 0

[ConfirmationHelper]

[AnagraficaView]
==
<!DOCTYPE html>
<html lang="it">
	<head>
	    <meta charset="utf-8">
	    <meta http-equiv="X-UA-Compatible" content="IE=edge">
	    <meta name="viewport" content="width=device-width, initial-scale=1.0">
	    <meta name="format-detection" content="telephone=no">
	    <meta name="apple-mobile-web-app-capable" content="yes">
	    <link href="{{ 'assets/img/favicon.png'|theme }}" rel="apple-touch-icon">
	    <link href="{{ 'assets/img/favicon.png'|theme }}" rel="icon">
	    <meta name="author" content="">
	    <meta name="keywords" content="">
	    <meta name="description" content="{{ this.page.meta_description }}">
	    <title>{{ this.page.meta_title }}</title>
	    {#<link rel="stylesheet" href="{{ 'assets/plugins/font-awesome/css/font-awesome.min.css'|theme }}">#}
	    <link rel="stylesheet" href="{{ 'assets/plugins/bootstrap4/css/bootstrap.min.css'|theme }}">
	    <link rel="stylesheet" href="{{ 'assets/plugins/owl-carousel/assets/owl.carousel.css'|theme }}">
	    <link rel="stylesheet" href="{{ 'assets/plugins/slick/slick/slick.css'|theme }}">
	    <link rel="stylesheet" href="{{ 'assets/plugins/lightGallery-master/dist/css/lightgallery.min.css'|theme }}">
	    {#<link rel="stylesheet" href="{{ 'assets/plugins/jquery-bar-rating/dist/themes/fontawesome-stars.css'|theme }}">#}
	    <link rel="stylesheet" href="{{ 'assets/plugins/jquery-ui/jquery-ui.min.css'|theme }}">
	    <link rel="stylesheet" href="{{ 'assets/plugins/pe7/pe-icon-7-stroke/css/pe-icon-7-stroke.css'|theme }}">
	    <link rel="stylesheet" href="{{ 'assets/css/rubinacci.css'|theme }}">
	    <link rel="stylesheet" href="{{ 'assets/css/custom.css'|theme }}">
	    
	    <link rel="stylesheet"href="https://cdnjs.cloudflare.com/ajax/libs/animate.css/4.0.0/animate.min.css"/>
	    <link rel="stylesheet" href="{{ 'assets/css/style-ims.css'|theme }}">
	    
		{#<link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet" integrity="sha384-wvfXpqpZZVQGK6TAh5PVlGOfQNHSoD2xbE+QkPxCAFlNEevoEH3Sl0sibVcOQVnN" crossorigin="anonymous">
		<link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/css/all.min.css" rel="stylesheet" crossorigin="anonymous">
		<link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/css/solid.min.css" rel="stylesheet" crossorigin="anonymous">#}
		<link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/css/brands.min.css" rel="stylesheet" crossorigin="anonymous">
		<link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/css/fontawesome.min.css" rel="stylesheet" crossorigin="anonymous">
		<link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/css/regular.min.css" rel="stylesheet" crossorigin="anonymous">
		<link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/css/svg-with-js.min.css" rel="stylesheet" crossorigin="anonymous">
		<link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/css/v4-shims.min.css" rel="stylesheet" crossorigin="anonymous">
	    <link rel="stylesheet" href="{{ 'assets/plugins/megamenu-js-master/css/style.css'|theme }}">
    	<link rel="stylesheet" href="{{ 'assets/plugins/megamenu-js-master/css/ionicons.min.css'|theme }}">
	    
	    {#
	    <link rel="stylesheet" href="{{ 'assets/plugins/YTPlayer/dist/css/jquery.mb.YTPlayer.min.css'|theme }}">
	    #}
	    {% partial 'userscripts' %}
	    {% if (success is defined and success == true ) %}
	    <script>
		gtag('event', 'conversion', {
		  'send_to': 'AW-959174034/e5T7CLvUjOMBEJKrr8kD',
		  'value': '{{order.getTotalPriceAttribute(order)}}',
		  'currency': 'EUR',
		  'transaction_id': '{{order.id}}'
		});
		</script>
		{% endif %}

    </head>

	<body>
		<!-- POPUP COOKIE -->
		{% component 'cookieNotice' %}
		{% if (success is defined and success == true ) %}
		<script type="text/javascript" src="https://510005039.collect.igodigital.com/collect.js"></script>
		<script>
		_etmc.push(["setOrgId", "510005039"]);
		_etmc.push(["setUserInfo", {"email": "{{ order.property.email }}"}]);
		var cookieObj = new URLSearchParams(document.cookie.replaceAll("; ","&"));
		var parametro = cookieObj.get("sfmc_j");
		console.log(parametro);
		if(parametro !== null){
			var data = ["trackConversion", { "cart": [
				{% for item in order.order_position %}
				{
					"item" : "{{item.code}}",
					"quantity": "{{item.quantity}}",
					"price" : "{{item.price_value}}",
					"unique_id" : "{{ item.item_id }}"
				}
				{{ loop.last ? '' : ',' }}
				{% endfor %}
				],
				// OPTIONAL PARAMETERS
				"order_number": "{{order.id }}",
				"JOB_ID": parametro,
				"job_id": parametro,
				"JobID" : parametro,
				"discount": "{{order.discount_total_price}}",
				"shipping": "{{order.shipping_price}}"
				// END OPTIONAL PARAMETERS
			}];
		}else{
			var data = ["trackConversion", { "cart": [
				{% for item in order.order_position %}
				{
					"item" : "{{item.code}}",
					"quantity": "{{item.quantity}}",
					"price" : "{{item.price_value}}",
					"unique_id" : "{{ item.item_id }}"
				}
				{{ loop.last ? '' : ',' }}
				{% endfor %}
				],
				// OPTIONAL PARAMETERS
				"order_number": "{{order.id }}",
				"discount": "{{order.discount_total_price}}",
				"shipping": "{{order.shipping_price}}"
				// END OPTIONAL PARAMETERS
			}];
		}
		console.log(data);
		_etmc.push(data);
		</script>
	    <script>
		  fbq('track', 'Purchase', {
		    value: '{{order.getTotalPriceAttribute(order)}}',
		    currency: 'EUR',
		  });
		</script>
		<!-- Start Photoslurp Embed Code -->
		<script>
		var photoSlurpTrackingSettings = {
		      products: {
			  {% for item in order.order_position %}
		         '{{ item.offer|uniquebarcode }}':  {count:{{ item.quantity }}, price:{{ item.price|priceformat }}, currency: 'eur'}{{ loop.last ? '' : ',' }}
		      {% endfor %}
		      },
		         orderId: '{{ order.id }}', 
		         albumId: 2820
		    };
		    (function() {
		        var d=document,
		        h=d.getElementsByTagName('head')[0],
		        s=d.createElement('script');
		        s.type='text/javascript';
		        s.async=true;
		        s.src='//static.photoslurp.com/widget/v3/tracking_notify.js';
		        h.appendChild(s);
		}());
		</script>
		<!-- End Photoslurp Embed Code -->
		{% endif %}
	    
	    {% partial 'menu' %}
	        <div class="al-tuo-servizio">
	            <div class="container">
	            	{% if order != 'empty'%}
		                {% if ( is_payed == true ) %}
							<h2 style="text-align:center;width:100%;margin-top: 100px;font-size:24px">{{ 'payment_ok_title'|msglang }}</h2>
							<p style="text-align:center;width:100%;margin-top: 30px;margin-bottom:100px; font-size:18px">{{ 'payment_ok_message'|msglang(order.id) }}</p>					
						{% else %}
							<h2 style="text-align:center;width:100%;margin-top: 100px;font-size:24px">{{ 'payment_ko_title'|msglang }}</h2>
							<p style="text-align:center;width:100%;margin-top: 30px;margin-bottom:100px; font-size:18px">{{ 'payment_ko_message'|msglang(order.id) }}</p>
						{% endif %}
					{% else %}
						{% partial 'error404' %}
					{% endif %}
	            </div>
	        </div>
	        <br>
	        <div class="container">
			    <div class="row">
			        <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12 ">
			            <hr style="border-top: 2px solid #cbcbcb!important;margin-bottom:50px">
			        </div>
			    </div>
			</div>
        
        {% partial 'footer' %}
        
	    <!-- Plugins-->
	    {#
	    <script data-cfasync="false" src="{{ '/cdn-cgi/scripts/5c5dd728/cloudflare-static/email-decode.min.js'|theme }}"></script>
	    <script src="{{ 'assets/plugins/popper.min.js'|theme }}"></script>
	    <script src="{{ 'assets/plugins/imagesloaded.pkgd.js'|theme }}"></script>
	    <script src="{{ 'assets/plugins/masonry.pkgd.min.js'|theme }}"></script>
	    <script src="{{ 'assets/plugins/isotope.pkgd.min.js'|theme }}"></script>
	    <script src="{{ 'assets/plugins/jquery.matchHeight-min.js'|theme }}"></script>
	    <script src="{{ 'assets/plugins/slick-animation.min.js'|theme }}"></script>
	    <script src="{{ 'assets/plugins/jquery-ui/jquery-ui.min.js'|theme }}"></script>
	    <script src="{{ 'assets/plugins/sticky-sidebar/dist/sticky-sidebar.min.js'|theme }}"></script>
	    <script src="{{ 'assets/plugins/YTPlayer/dist/jquery.mb.YTPlayer.min.js'|theme }}"></script>
	    <script src="{{ 'assets/plugins/gmap3.min.js'|theme }}"></script>
	    #}
	    
	    <script src="{{ 'assets/plugins/jquery-1.12.4.min.js'|theme }}"></script>
	    <script src="{{ 'assets/plugins/bootstrap4/js/bootstrap.min.js'|theme }}"></script>
	    <script src="{{ 'assets/plugins/owl-carousel/owl.carousel.min.js'|theme }}"></script>
	    <script src="{{ 'assets/plugins/slick/slick/slick.min.js'|theme }}"></script>
	    <script src="{{ 'assets/plugins/jquery-bar-rating/dist/jquery.barrating.min.js'|theme }}"></script>
	    <script src="{{ 'assets/plugins/lightGallery-master/dist/js/lightgallery-all.min.js'|theme }}"></script>
	    {#<script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/js/all.min.js">
	    </script><script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/js/conflict-detection.min.js"></script>#}
	    <script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/js/brands.min.js"></script>
	    <script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/js/fontawesome.min.js"></script>
	    <script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/js/regular.min.js"></script>
	    <script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/js/solid.min.js"></script>
	    <script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/js/v4-shims.min.js"></script>
	    <!-- Custom scripts-->
	    <script src="{{ 'assets/js/main.js'|theme }}"></script>
	    <script src="{{ 'assets/js/main-ims.js'|theme }}"></script>
	    <script src="{{ 'assets/plugins/megamenu-js-master/js/megamenu.js'|theme }}"></script>
	    
	    <script>
	    	function logout(){
				$.request('Logout::onAjax', {
					//update: {'checkout-login': '#checkout-login', 'checkout-form': '#checkout-form'},
					loading: $.oc.stripeLoadIndicator,
				  	// le righe che seguono servono per abilitare il flashmessage utile per debug
				  	flash: 1,
				    handleFlashMessage: function(message, type) {
				        $.oc.flashMsg({ text: message, class: type })
				    },
				    complete: function() {
				    	location.reload(false);
				    }
				});
			}
	    </script>
	    {% partial 'footerscripts' %}
	    {% scripts %}
		<script>
			document.cookie = "sfmc_j=;expires=Thu, 01 Jan 1970 00:00:00 GMT; path=/";
		</script>
    	{% framework extras %}
	    
	</body>

</html>